#ifndef __UI_H__
#define __UI_H__

#define SENSE_KEY (PSP_CTRL_CIRCLE|PSP_CTRL_TRIANGLE|PSP_CTRL_CROSS|PSP_CTRL_SQUARE|PSP_CTRL_START|PSP_CTRL_SELECT)

#define ALL_ALLOW    (PSP_CTRL_UP|PSP_CTRL_RIGHT|PSP_CTRL_DOWN|PSP_CTRL_LEFT)
#define ALL_BUTTON   (PSP_CTRL_TRIANGLE|PSP_CTRL_CIRCLE|PSP_CTRL_CROSS|PSP_CTRL_SQUARE)
#define ALL_TRIGGER  (PSP_CTRL_LTRIGGER|PSP_CTRL_RTRIGGER)
#define ALL_SP       (PSP_CTRL_SELECT|PSP_CTRL_START|PSP_CTRL_HOME|PSP_CTRL_NOTE|PSP_CTRL_SCREEN)
#define ALL_FUNCTION (ALL_SP | PSP_CTRL_HOLD)
#define ALL_SOUND    (PSP_CTRL_VOLUP|PSP_CTRL_VOLDOWN)
#define ALL_CTRL     (ALL_ALLOW|ALL_BUTTON|ALL_TRIGGER|ALL_FUNCTION)
#define ALL_KEYS	 (ALL_ALLOW|ALL_BUTTON|ALL_TRIGGER|ALL_SOUND|ALL_SP)

#define IGR_BASE   (PSP_CTRL_LTRIGGER|PSP_CTRL_RTRIGGER)
#define IGR_RESET  (IGR_BASE|PSP_CTRL_HOME)
#define IGR_RETURN (IGR_BASE|PSP_CTRL_START)
#define IGR_LOGON  (IGR_BASE|PSP_CTRL_SELECT)

int limit(int val,int min,int max);
int limit2(int val,int min,int max);

void ClearCaches();

#endif
